## org.eclipse.emf.importer
Class ModelImporter.EPackageImportInfo

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
          org.eclipse.emf.importer.ModelImporter.EPackageImportInfo

Enclosing class:
  ModelImporter

    public static class ModelImporter.EPackageImportInfo

extends ModelConverter.EPackageConvertInfo

Field Summary
`protected java.lang.String` `basePackage`
`protected java.lang.String` `prefix`

Fields inherited from class org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
`convert, convertData`

Constructor Summary
`ModelImporter.EPackageImportInfo()`

Method Summary
`java.lang.String` `getBasePackage()`
`java.lang.String` `getEcoreFileName()`
`java.lang.String` `getPrefix()`
`void` `setBasePackage(java.lang.String basePackage)`
`void` `setEcoreFileName(java.lang.String ecoreFileName)`
`void` `setPrefix(java.lang.String prefix)`

Methods inherited from class org.eclipse.emf.converter.ModelConverter.EPackageConvertInfo
`getConvertData, isConvert, setConvert, setConvertData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basePackage

    protected java.lang.String basePackage

### prefix

    protected java.lang.String prefix

Constructor Detail

### ModelImporter.EPackageImportInfo

    public ModelImporter.EPackageImportInfo()

Method Detail

### getBasePackage

    public java.lang.String getBasePackage()

### setBasePackage

    public void setBasePackage(java.lang.String basePackage)

### getEcoreFileName

    public java.lang.String getEcoreFileName()

### setEcoreFileName

    public void setEcoreFileName(java.lang.String ecoreFileName)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.